﻿@model IEnumerable<BeerOverflow.Web.Models.CountryViewModel>

@{
    ViewData["Title"] = "Index";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h1>Countries</h1>

<p>
    <a type ="button" class="btn btn-primary btn-sm" asp-action="Create">Create New Country</a>
</p>
<table class="table">
    <thead>
        <tr class="table-primary">
            <th scope="row">Name</th>
            <td>Options</td>
        </tr>
    </thead>
    <tbody>
@foreach (var item in Model) {
        <tr>
            <td>
                @Html.DisplayFor(modelItem => item.Name)
            </td>
            @*<td>
                @Html.DisplayFor(modelItem => item.IsDeleted)
            </td>*@
        <td>
            @Html.ActionLink("Edit", "Edit",
                        new { id = item.Id },
                        new { @class = "btn btn-outline-primary btn-sm" })
            @Html.ActionLink("Details", "Details",
                        new { id = item.Id },
                        new { @class = "btn btn-outline-primary btn-sm" })
            @Html.ActionLink("Delete", "Delete",
                        new { id = item.Id },
                        new { @class = "btn btn-outline-danger btn-sm" })
        </td>
        </tr>
}
    </tbody>
</table>
